engine.h File Reference

The proton Engine API. More...

`#include <proton/condition.h>`
`#include <proton/connection.h>`
`#include <proton/session.h>`
`#include <proton/terminus.h>`
`#include <proton/link.h>`
`#include <proton/delivery.h>`
`#include <proton/event.h>`
`#include <proton/transport.h>`

Go to the source code of this file.

## Detailed Description

The proton Engine API.

The Engine API provides a complete implementation of AMQP as a Protocol Engine.